
QGIS Application - Bug report #19452

QGIS 3.2.0 Bonn Crashes on Opening

2018-07-20 11:54 AM - Hilda Feyita

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.2 Regression?: No

Operating System: Windows 10Pro Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 27280

Description

User Feedback

As soon as I open QGIS 3.2.0 Bonn, it crashes

Report Details

Crash ID: 09622a5ca299b021e3cab29a54ab43a62edfd1e4

Stack Trace

QNetworkReply::error :

QgsFetchedContent::taskCompleted :

QMetaCallEvent::placeMetaCall :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QCoreApplication::processEvents :

QgisApp::QgisApp :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.0-Bonn

QGIS code revision: commit:bc43194061

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Associated revisions
Revision 7f84b6c1 - 2018-07-29 12:46 AM - Nyall Dawson

Fix crash in network content fetcher when run from non-main thread

Because a QNetworkAccessManager is the parent for all QNetworkReplys

created by it, if a reply is created in a thread then we need to

ensure that this reply isn't deleted early by destruction of the

thread local QgsNetworkAcessManager instance. Work around this

by unsetting the parent for the QNetworkReplys owned by

QgsNetworkContentFetcher objects.

Fixes #19452

Revision 1d28bbe0 - 2018-07-29 01:33 AM - Nyall Dawson

Fix crash in network content fetcher when run from non-main thread

Because a QNetworkAccessManager is the parent for all QNetworkReplys

created by it, if a reply is created in a thread then we need to

ensure that this reply isn't deleted early by destruction of the

thread local QgsNetworkAcessManager instance. Work around this

by unsetting the parent for the QNetworkReplys owned by

QgsNetworkContentFetcher objects.

Fixes #19452

(cherry-picked from 7f84b6c1b)

History

#1 - 2018-07-20 12:02 PM - Jürgen Fischer

- Resolution deleted (wontfix)

- Assignee deleted (Hilda Feyita)

- Description updated

#2 - 2018-07-20 12:02 PM - Jürgen Fischer

- File deleted (CrashReport_200718.txt)

#3 - 2018-07-29 12:45 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|7f84b6c1b6c23a10b78d8a400cac84091bcbdc86.
